## osmo-tetra 0.0~git20230902.c0956b9

=== src/Makefile ===
CFLAGS=-g -O3 -Wall `pkg-config --cflags libosmocore 2> /dev/null` -I.
LDLIBS=`pkg-config --libs libosmocore 2> /dev/null` -losmocore

all: conv_enc_test crc_test tetra-rx float_to_bits tunctl

debug: CFLAGS := -lasan $(CFLAGS) -fsanitize=address -fno-omit-frame-pointer -g -Og
debug: LDLIBS := -lasan $(LDLIBS)
debug: all

%.o: %.c
	$(CC) $(CFLAGS) -c $^ -o $@

libosmo-tetra-phy.a: phy/tetra_burst_sync.o phy/tetra_burst.o
	$(AR) r $@ $^

libosmo-tetra-mac.a: lower_mac/tetra_conv_enc.o lower_mac/tch_reordering.o tetra_tdma.o lower_mac/tetra_scramb.o lower_mac/tetra_rm3014.o lower_mac/tetra_interleave.o lower_mac/crc_simple.o tetra_common.o lower_mac/viterbi.o lower_mac/viterbi_cch.o lower_mac/viterbi_tch.o lower_mac/tetra_lower_mac.o tetra_upper_mac.o tetra_mac_pdu.o tetra_llc_pdu.o tetra_llc.o tetra_mle_pdu.o tetra_mle.o tetra_mm_pdu.o tetra_cmce_pdu.o tetra_sndcp_pdu.o tetra_gsmtap.o tuntap.o
	$(AR) r $@ $^

libosmo-tetra-crypto.a: crypto/tea1.o crypto/tea2.o crypto/tea3.o crypto/hurdle.o crypto/taa1.o crypto/tetra_crypto.o
	$(AR) r $@ $^

float_to_bits: float_to_bits.o

crc_test: crc_test.o tetra_common.o libosmo-tetra-mac.a

tetra-rx: tetra-rx.o libosmo-tetra-phy.a libosmo-tetra-mac.a libosmo-tetra-crypto.a

conv_enc_test: conv_enc_test.o testpdu.o libosmo-tetra-phy.a libosmo-tetra-mac.a

tunctl: tunctl.o

clean:
	@rm -f tunctl float_to_bits crc_test tetra-rx conv_enc_test *.o phy/*.o lower_mac/*.o crypto/*.o *.a

=== debian/changelog ===
osmo-tetra (0.0~git20230902.c0956b9-3) unstable; urgency=medium

   * take care of CFLAGS (Closes: #1119513)
     (amend hardening-no-fortify-functions.patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 31 Oct 2025 09:56:01 +0100

osmo-tetra (0.0~git20230902.c0956b9-2) unstable; urgency=medium

  * source upload

  [ Thorsten Alteholz ]
  * debian/control: fix typo in URL
  * add debian/salsa-ci.yml
  * add debian/gbp.conf
  * rename tunctl to osmo-tunctl (Closes: #1091398)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Jan 2025 22:56:01 +0100

osmo-tetra (0.0~git20230902.c0956b9-1) unstable; urgency=medium

  [ Nathan Doris ]
  * debian/*

  [ Thorsten Alteholz ]
  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Dec 2024 22:56:01 +0100

=== debian/control ===
Source: osmo-tetra
Section: comm
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Nate Doris <nate.doris@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libosmocore-dev (>= 1.10),
 pkgconf,
 gnuradio,
 txt2man,
 dh-exec
Standards-Version: 4.7.0
Homepage: https://osmocom.org/projects/tetra/wiki/OsmocomTETRA
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-tetra
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-tetra.git

Package: osmo-tetra
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3:any,
 python3-pyqt5,
 gr-osmosdr
Description: TETRA trunked radio system software
 This project aims at practical research and
 experimentation with the TETRA trunked radio system.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed



%:
	dh $@ --with-autoreconf

override_dh_auto_build:
	dh_auto_build -Dsrc/

override_dh_installman:
	cd debian/man ; ./createpages.sh
	dh_installman

=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/^/osmocom/" \
https://gitea.osmocom.org/tetra/osmo-tetra \
HEAD debian uupdate
